Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class LifecycleException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.catalina.LifecycleException

All Implemented Interfaces:
  java.io.Serializable

public final class LifecycleException
extends java.lang.Exception

General purpose exception that is thrown to indicate a lifecycle related problem. Such exceptions should generally be considered fatal to the operation of the application containing this component.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:13:30 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `message` The error message passed to our constructor (if any)
`protected java.lang.Throwable` | `throwable` The underlying exception or error passed to our constructor (if any)

Constructor Summary
`LifecycleException()` Construct a new LifecycleException with no other information.
`LifecycleException(java.lang.String message)` Construct a new LifecycleException for the specified message.
`LifecycleException(java.lang.String message, java.lang.Throwable throwable)` Construct a new LifecycleException for the specified message and throwable.
`LifecycleException(java.lang.Throwable throwable)` Construct a new LifecycleException for the specified throwable.

Method Summary
`java.lang.String` | `getMessage()` Returns the message associated with this exception, if any.
`java.lang.Throwable` | `getThrowable()` Returns the throwable that caused this exception, if any.
`java.lang.String` | `toString()` Return a formatted string that describes this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

  The error message passed to our constructor (if any)

### throwable

    protected java.lang.Throwable throwable

  The underlying exception or error passed to our constructor (if any)

Constructor Detail

### LifecycleException

    public LifecycleException()

  Construct a new LifecycleException with no other information.

### LifecycleException

    public LifecycleException(java.lang.String message)

  Construct a new LifecycleException for the specified message.
  Parameters:
    `message` - Message describing this exception

### LifecycleException

    public LifecycleException(java.lang.Throwable throwable)

  Construct a new LifecycleException for the specified throwable.
  Parameters:
    `throwable` - Throwable that caused this exception

### LifecycleException

    public LifecycleException(java.lang.String message,
                              java.lang.Throwable throwable)

  Construct a new LifecycleException for the specified message and throwable.
  Parameters:
    `message` - Message describing this exception
    `throwable` - Throwable that caused this exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the message associated with this exception, if any.
  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getThrowable

    public java.lang.Throwable getThrowable()

  Returns the throwable that caused this exception, if any.

### toString

    public java.lang.String toString()

  Return a formatted string that describes this exception.
  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.